package com.telpo.dipperposition.service;

import com.telpo.dipperposition.entity.mongo.IpProvinceEntity;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @program: IPProvinceService
 * @description: IP省份服务接口
 * @author: king
 * @create: 2020-07-20 11:09
 */
public interface IpProvinceService {

//  @Autowired
//  void setIPProvinceService(IpProvinceService ipProvinceService);
  /**
   * 保存IP省份
   *
   * @param entity
   * @return
   */
  boolean saveIpProvince(IpProvinceEntity entity);

  /**
   * 更新IP省份
   *
   * @param query
   * @param update
   * @return
   */
  boolean updateIPProvince(
          IpProvinceEntity query, IpProvinceEntity update);

  /**
   * 根据ID移除IP省份记录
   *
   * @param id
   * @return
   */
  boolean romveById(String id);

  /*
   * @param ipAddress
   * 获取IP省份
   */
  IpProvinceEntity getIpProvince(String ipAddress);
}
